package com.crm.rely.backend.core.dto.wasabi;

import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author gao
 * @date 2025/8/20 19:00
 */
@Data
@NoArgsConstructor
public class WasabiNotifyResultDto<T> {

    private boolean success;

    private int code;

    private String msg;

    private T data;

    public WasabiNotifyResultDto(boolean success, int code,String msg, T data) {
        this.success = success;
        this.code = code;
        this.msg = msg;
        this.data = data;
    }
    public static WasabiNotifyResultDto success(){
        return new WasabiNotifyResultDto(true,200,"Success",null);
    }

    public static WasabiNotifyResultDto error(){
        return new WasabiNotifyResultDto(false,500,"Failed",null);
    }

}
